[Buildroot] [Bug 387] Tremor not installed to toolchain

bugzilla at busybox.net bugzilla at busybox.net
Wed Jul 22 15:02:54 UTC 2009


https://bugs.busybox.net/show_bug.cgi?id=387





--- Comment #5 from Peter Korsgaard <jacmet at uclibc.org>  2009-07-22 15:02:53 UTC ---
(In reply to comment #4)
> I am sorry, but it is not fixed:

Ahh, sorry - I didn't explicitly enable libvorbis support when I did a test
compile of gst-plugin-base, so I missed that.

> gst-plugins-base tries to link against libvorbisenc.so and as far as I can see
> this library is not provided by tremor.

No, tremor is only an implementation of the decoding API. We should either make
the stuff needing the encoding API depend on !BR2_PACKAGE_LIBVORBIS_TREMOR or
split up the libvorbis handling in encoding and decoding support, so you can
use the normal (FPU using) libvorbis stuff for encoding and tremor for decoding
(which I suspect is what you were doing before by luck as the tremor stuff was
listed below libvorbis so it was overwriting the FPU version of the lib).


-- 
Configure bugmail: https://bugs.busybox.net/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.



More information about the buildroot mailing list